Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.blast2html
Interface URLGeneratorFactory

All Known Implementing Classes:
  DefaultURLGeneratorFactory

    public interface URLGeneratorFactory

Interface for a factory method to return a list of 0, 1 or more `DatabaseURLGenerator` instances. Primary author - Colin Hardman (CAT) Other authors - Tim Dilks (CAT) Simon Brocklehurst (CAT) Stuart Johnston (CAT) Lawerence Bower (CAT) Derek Crockford (CAT) Neil Benn (CAT) Copyright 2001 Cambridge Antibody Technology Group plc. This code released to the biojava project, May 2001 under the LGPL license.

Version:
  1.0
Author:
  Cambridge Antibody Technology Group plc

Method Summary
`List` | `getDatabaseURLGenerators()` Returns a list of 0, 1 or more `DatabaseURLGenerator` The first is used to link from the id in the summary table, all are used as a list of links in the detail section.

Method Detail

### getDatabaseURLGenerators

    List getDatabaseURLGenerators()

  Returns a list of 0, 1 or more `DatabaseURLGenerator` The first is used to link from the id in the summary table, all are used as a list of links in the detail section.

  Returns:
    a `List`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD